#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF8,0x75,0xDD,0xD3,0x01,0xCB,0xD6,0x5E,0x07,0x75,0x87,0x93,
		0x31,0x7E,0xF3,0xAF,0x55,0x54,0x67,0xF3,0xB3,0x99,0x02,0x27,
		0xA5,0x7E,0xF1,0x14,0xCD,0xBE,0xA1,0x15,0x07,0x3E,0x3F,0x36,
		0x53,0xAE,0xB2,0x38,0x2F,0x05,0xA2,0xC3,0xDE,0x67,0xE9,0xBF,
		0x4F,0x86,0xFC,0xB9,0xCA,0xAF,0xC7,0xBD,0x3D,0x0F,0x5C,0x12,
		0x02,0xE7,0x5B,0xCB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
